#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 41. Other X-based Programs

- Prev

  Other X-based Programs

- Next

  feh-3.10.3

- Up
- Home

# Balsa-2.6.4

## Introduction to Balsa

The Balsa package contains a GNOME-2 based mail client.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://pawsa.fedorapeople.org/balsa/balsa-2.6.4.tar.xz

- Download MD5 sum: bebd22cb6bac87ee05255c48ee1d28dd

- Download size: 3.5 MB

- Estimated disk space required: 66 MB

- Estimated build time: 0.2 SBU (Using parallelism=4)

### Additional Downloads

- Required patch: https://www.linuxfromscratch.org/patches/blfs/12.3/balsa-2.6.4-upstream_fixes-2.patch

### Balsa Dependencies

#### Required

Aspell-0.60.8.1, enchant-2.8.2, GMime-3.2.7, GPGME-1.24.2, GTK-3.24.48, and libnotify-0.8.4

#### Required (Runtime)

MTA (that provides a sendmail command)

#### Optional

Compface-1.5.2, Gcr-3.41.2, gtksourceview-3.24.11, libcanberra-0.30, libsecret-0.21.6, MIT Kerberos V5-1.21.3, OpenLDAP-2.6.9, Procmail-3.24, SQLite-3.49.1, WebKitGTK-2.46.6, html2text, osmo, rubrica, yelp-tools

## Installation of Balsa

First, fix build issues when configuring without WebKitGTK, or when using WebKitGTK-2.38 or later.

    patch -Np1 -i ../balsa-2.6.4-upstream_fixes-2.patch

Install Balsa by running the following commands:

    ./configure --prefix=/usr            \
                --sysconfdir=/etc        \
                --localstatedir=/var/lib \
                --without-html-widget    &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--without-html-widget`: This option disables building the HTML renderer. If you want the HTML renderer to be built, verify that you have WebKitGTK-2.46.6 installed, and then remove this option.

`--with-canberra`: Enable libcanberra support.

`--with-compface`: Enable compface support.

`--with-gcr`: Use libgcr for TLS support.

`--with-gss`: Enable GSSAPI support.

`--with-ldap`: Use this option to enable LDAP address book support if OpenLDAP is installed.

`--with-libsecret`: Enable strong password support and support for gnome-keyring to store passwords.

`--with-sqlite`: Use this option to enable SQLite address book support if SQLite is installed.

## Contents

Installed Programs: balsa and balsa-ab
Installed Libraries: None
Installed Directories: /etc/sounds/events, /usr/share/balsa, and /usr/share/sounds/balsa

### Short Descriptions

balsa | is a glib based mail client
balsa-ab | is the address-book application used by balsa

- Prev

  Other X-based Programs

- Next

  feh-3.10.3

- Up
- Home